/*
	Setting Widget for LUSScreenSaver Plugin Fish 
	Copyright (C) 2004 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _LESS_UNSATICEFACTORY_SCREENSAVER_FISH_SETTING_H_
#define _LESS_UNSATICEFACTORY_SCREENSAVER_FISH_SETTING_H_

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QButtonGroup;
class QGroupBox;
class QPushButton;
class QRadioButton;

class FishSetting : public QDialog
{
Q_OBJECT

public:
	FishSetting( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~FishSetting();

private:
	QVBoxLayout*	BaseLayout;

	QGroupBox*		BaseGroupBox;
	QHBoxLayout*	BaseGroupBoxLayout;
	QButtonGroup*	FishButtonGroup;
	QRadioButton*	FishRadio0;
	QRadioButton*	FishRadio1;
	QRadioButton*	FishRadio2;
	QRadioButton*	FishRadio3;
	QRadioButton*	FishRadio4;
	QRadioButton*	FishRadio5;
	QRadioButton*	FishRadio6;
	QRadioButton*	FishRadio7;
	QRadioButton*	FishRadio8;
	QRadioButton*	FishRadio9;
	QRadioButton*	FishRadio10;
	QButtonGroup*	BubbleButtonGroup;
	QRadioButton*	BubbleRadio0;
	QRadioButton*	BubbleRadio10;
	QRadioButton*	BubbleRadio20;
	QRadioButton*	BubbleRadio30;
	QRadioButton*	BubbleRadio40;
	QRadioButton*	BubbleRadio50;
	QButtonGroup*	TimerButtonGroup;
	QRadioButton*	TimerRadio50;
	QRadioButton*	TimerRadio100;
	QRadioButton*	TimerRadio150;

	QHBoxLayout*	DefButtonsLayout;
	QPushButton*	PushButton1;
	QPushButton*	PushButton2;

protected:
	void closeEvent( QCloseEvent * );

protected slots:
	void accept();
};

#endif // _LESS_UNSATICEFACTORY_SCREENSAVER_PICTURE_SETTING_H_
